Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.util
Class ClassContext

    java.lang.Object
      java.lang.SecurityManager
          org.apache.jorphan.util.ClassContext

public final class ClassContext
extends SecurityManager

Class to get access to the protected getClassContext() method of SecurityManager, thus obtaining the call stack. May not work with applications that install their own security managers.

Field Summary

Fields inherited from class java.lang.SecurityManager
`inCheck`

Method Summary
`static String` | `getCallerClassNameAt(int i)` Get the name of the class at a particular stack depth i=0 gives this class
`static Class[]` | `getMyClassContext()` Gets the calling context as an array of classes Class[0] is this class.

Methods inherited from class java.lang.SecurityManager
`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMyClassContext

    public static Class[] getMyClassContext()

  Gets the calling context as an array of classes Class[0] is this class.

  Returns:
    Class[] - list of classes in the callers context

### getCallerClassNameAt

    public static String getCallerClassNameAt(int i)

  Get the name of the class at a particular stack depth i=0 gives this class

  Parameters:
    `i` - - stack depth
  Returns:
    String - name of class at depth i

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.